Get AI Agent
curl --request GET \
--url https://use.hoop.dev/api/ai-agents/{nameOrID}import requests
url = "https://use.hoop.dev/api/ai-agents/{nameOrID}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://use.hoop.dev/api/ai-agents/{nameOrID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "<string>",
"created_by": "<string>",
"deactivated_at": "<string>",
"deactivated_by": "<string>",
"groups": [
"engineering"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_used_at": "<string>",
"masked_key": "hpk_1nzb***************************************",
"name": "ai-agent",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "active"
}{
"message": "the error description"
}{
"message": "the error description"
}AI Agents
Get AI Agent
Get an AI Agent by name or ID
GET
/
ai-agents
/
{nameOrID}
Get AI Agent
Path Parameters
Name or UUID of the AI Agent
Response
OK
Creation timestamp
Subject of the admin who created this agent
Revocation timestamp
Subject of the admin who revoked this agent
Groups assigned to this AI Agent
Example:
["engineering"]
Unique identifier
Timestamp of last usage
Masked version of the AI Agent key for identification
Example:
"hpk_1nzb***************************************"
Human-readable name
Example:
"ai-agent"
Organization ID
Current status of the AI Agent
Available options:
active, revoked Was this page helpful?